Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerEventInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerEventInfo

All Implemented Interfaces:
  EventInfo

    public class ContainerEventInfo

extends java.lang.Object
implements EventInfo

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ContainerEventInfo(javax.xml.namespace.QName name, ContainerTypeInfo type, org.jboss.portal.common.i18n.LocalizedString displayName, org.jboss.portal.common.i18n.LocalizedString description)`

Method Summary
`void` | `addAlias(javax.xml.namespace.QName alias)`
`java.util.Collection<javax.xml.namespace.QName>` | `getAliases()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`javax.xml.namespace.QName` | `getName()`
`ContainerTypeInfo` | `getType()` Returns the type of the event or null if the event does not declare a type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerEventInfo

    public ContainerEventInfo(javax.xml.namespace.QName name,
                              ContainerTypeInfo type,
                              org.jboss.portal.common.i18n.LocalizedString displayName,
                              org.jboss.portal.common.i18n.LocalizedString description)

Method Detail

### addAlias

    public void addAlias(javax.xml.namespace.QName alias)

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Specified by:
    `getDisplayName` in interface `EventInfo`

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

  Specified by:
    `getDescription` in interface `EventInfo`

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `EventInfo`

### getType

    public ContainerTypeInfo getType()

  Description copied from interface: `EventInfo`
  Returns the type of the event or null if the event does not declare a type.

  Specified by:
    `getType` in interface `EventInfo`
  Returns:
    the type of the event

### getAliases

    public java.util.Collection<javax.xml.namespace.QName> getAliases()

  Specified by:
    `getAliases` in interface `EventInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.